<template>
  <j-modal
    :title="title"
    :width="width"
    :fullscreen=false
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    okText="保存"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭"
    footer=""
  >
    <!-- 邱东宝 增加modal按钮调整到顶部 1-->
    <template>
      <div style="position: absolute;left: 10%;top:13px;">
        <a-button v-if="!disableSubmit" @click="handleOk" type="primary" style="margin-bottom: 0;margin-right: 8px">保存
        </a-button>
        <a-button @click="handleCancel">
          关闭
        </a-button>
      </div>

    </template>
    <!--邱东宝 增加modal按钮调整到顶部 end-->

<!--    <qc-ssgqzysytdqk-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></qc-ssgqzysytdqk-form>-->
    <qc-ssgqzysytdqk-detail title="省直单位占有使用土地情况调查统计表" ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></qc-ssgqzysytdqk-detail>
  </j-modal>
</template>

<script>
import {getAction} from '@api/manage'
import QcSsgqzysytdqkForm from './QcSsgqzysytdqkForm_tj'
import qcSsgqzysytdqkDetail from '../../qcsb/modules/QcSsgqzysytdqkDetail.vue'

export default {
  name: 'QcSsgqzysytdqkModal',
  components: {
    QcSsgqzysytdqkForm,
    qcSsgqzysytdqkDetail
  },
  data() {
    return {
      title: '',
      result: {},
      width: '80%',
      visible: false,
      disableSubmit: false
    }
  },
  methods: {
    add() {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.add();
      })
    },
    handleWCSH() {
      new Promise((resolve, reject) => {
        this.handleOk()
        resolve()
      }).then(() => {
        debugger
        getAction("/qcsb/qcSsgqzysytdqk/wcsh", {id: this.result.id}).then(res => {
          if (res.success) {
            this.visible = false
            this.loadData();
          }
        })
      })

    },
    edit(record) {
      this.result = record
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.edit(record);
      })
    },
    close() {
      this.$emit('close');
      this.visible = false;
    },
    handleOk() {
      this.disableSubmit = true
      this.$refs.realForm.submitForm();
    },
    submitCallback() {
      this.$emit('ok');
      this.visible = false;
    },
    handleCancel() {
      this.close()
    }
  }
}
</script>